<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__cpsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_cpsc_config_t</compoundname>
    <includes local="no">cy_ble_cps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__cpsc__config__t_1accbb717c1aadc06ff8dcdba93e623ff4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__cpsc__t">cy_stc_ble_cpsc_t</ref> *</type>
        <definition>cy_stc_ble_cpsc_t* cy_stc_ble_cpsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="332" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="332" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cpsc__config__t_1ae800cd75686f41bdc355eded3d5059d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cpsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="335" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="335" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="317">
        <label>cy_stc_ble_cpsc_char_t</label>
        <link refid="structcy__stc__ble__cpsc__char__t" />
      </node>
      <node id="315">
        <label>cy_stc_ble_cpsc_config_t</label>
        <link refid="structcy__stc__ble__cpsc__config__t" />
        <childnode refid="316" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="316">
        <label>cy_stc_ble_cpsc_t</label>
        <link refid="structcy__stc__ble__cpsc__t" />
        <childnode refid="317" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="337" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="330" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__cpsc__config__t_1accbb717c1aadc06ff8dcdba93e623ff4" virt="non-virtual"><scope>cy_stc_ble_cpsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__cpsc__config__t_1ae800cd75686f41bdc355eded3d5059d3" virt="non-virtual"><scope>cy_stc_ble_cpsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>